import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.layout.FillLayout;

public class ToolBarExample {
  public static void main(String[] args) {
    
    Display display = new Display();
    Shell shell = new Shell(display);
    shell.setText("Toolbar");
    shell.setLayout(new FillLayout());
    createToolbar(shell);
	shell.setSize(300,150);
    shell.open();
    while (!shell.isDisposed()) {
      if (!display.readAndDispatch()) {
        display.sleep();
      }
    }
    display.dispose();
  }
  public static  void createToolbar(Shell shell) {
    ToolBar toolBar = new ToolBar(shell, SWT.HORIZONTAL);
	toolBar.setBounds(5, 5, 450, 30);
    ToolItem item1 = new ToolItem(toolBar, SWT.PUSH);
    item1.setText("New");
   
    ToolItem item2 = new ToolItem(toolBar, SWT.PUSH);
    item2.setText("Open");
	
	ToolItem item3 = new ToolItem(toolBar, SWT.PUSH);
    item3.setText("Save");
	
    ToolItem item4 = new ToolItem(toolBar, SWT.PUSH);
    item4.setText("Cut");
	
    ToolItem item5 = new ToolItem(toolBar, SWT.PUSH);
    item5.setText("Copy");
	
    ToolItem item6 = new ToolItem(toolBar, SWT.PUSH);
    item6.setText("Paste");
	
    Listener listener = new Listener() {
      public void handleEvent(Event event) {
        ToolItem item = (ToolItem) event.widget;
        String string = item.getText();
        if (string.equals("New"))
          System.out.println("New");
        else if (string.equals("Open"))
          System.out.println("Open");
        else if (string.equals("Save"))
          System.out.println("Save");
        else if (string.equals("Cut"))
          System.out.println("Cut");
        else if (string.equals("Copy"))
          System.out.println("Copy");
		else if (string.equals("Paste"))
          System.out.println("Paste");
      }
    };
    item1.addListener(SWT.Selection, listener);
    item2.addListener(SWT.Selection, listener);
    item3.addListener(SWT.Selection, listener);
    item4.addListener(SWT.Selection, listener);
    item5.addListener(SWT.Selection, listener);
	item6.addListener(SWT.Selection, listener);
 
     }
}


           